#
# spec file for package yast2-irda (Version 2.18.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-irda
Version:        2.18.2
Release:        0.1.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-irda-2.18.2.tar.bz2
Prefix:         /usr
Group:          System/YaST
License:        GPLv2+
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer sgml-skel update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2
BuildArch:      noarch
Summary:        YaST2 - Infra-Red (IrDA) Access Configuration

%description
The YaST2 component for configuring the Infra-red Data Access (IrDA)
stack.

%prep
%setup -n yast2-irda-2.18.2

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/irda
/usr/share/YaST2/include/irda/*
/usr/share/YaST2/clients/irda.ycp
/usr/share/YaST2/modules/Irda.*
%{prefix}/share/applications/YaST2/irda.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-irda
%changelog
* Mon Nov 30 2009 jsuchome@suse.cz
- save baud rate, check for `ok dialog return value (bnc#558525)
- 2.18.2
* Fri Sep  4 2009 ug@suse.de
- fixed typo in the desktop file which makes yast2-schema fail
- 2.18.1
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop files
- 2.18.0
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Thu Oct 16 2008 jsuchome@suse.cz
- removed obsolete code for /dev/pilot (bnc#435993)
- 2.17.2
* Thu Oct  9 2008 jsuchome@suse.cz
- fixed testsuite (Service.ycp)
- 2.17.1
* Thu Aug  7 2008 jsuchome@suse.cz
- button labels adapted to current style guide (bnc#398482)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue Apr 15 2008 jsuchome@suse.cz
- added label to expert discovery logview widget (bnc#371173)
- 2.16.1
* Mon Apr 14 2008 jsuchome@suse.cz
- 2.16.0
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Dec 20 2006 jsuchome@suse.cz
- do not use full path for irdadump (#229730)
- 2.15.1
* Fri Dec  1 2006 jsuchome@suse.cz
- do not show untranslated messages (#221701)
- 2.15.0
* Mon Nov  6 2006 jsuchome@suse.cz
- new version for new product
- 2.14.0
* Sun Feb 19 2006 jsrain@suse.cz
- updated BuidRequires (removed yast2-devel-packages macro)
- 2.13.1
* Tue Dec 20 2005 jsuchome@suse.cz
- new version for new product version
- 2.13.0
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop file
- 2.12.1
* Thu Mar 31 2005 jsuchome@suse.cz
- save changes done via command-line interface
- changed name in desktop file (#71005)
- added testsuite
- 2.12.0
* Wed Mar  2 2005 jsuchome@suse.cz
- merged texts from proofread
* Mon Feb  7 2005 jsuchome@suse.cz
- merged texts from proofread
- 2.11.2
* Thu Nov 18 2004 jsuchome@suse.cz
- possibility to modify MAX_BAUD_RATE (#40814)
- ask for creating the pilot link
- 2.11.1
* Tue Nov  9 2004 jsuchome@suse.cz
- created link for /dev/pilot (#47804)
- 2.11.0
* Fri Oct 29 2004 jsuchome@suse.cz
- fixed desktop file (#45990)
* Thu Sep 23 2004 jsuchome@suse.cz
- do not rewrite sysconfig/irda file with empty one (#45353)
- 2.10.3
* Wed Sep  1 2004 jsuchome@suse.cz
- updated desktop file
- 2.10.2
* Mon Aug 16 2004 jsuchome@suse.cz
- 2.10.1
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Thu Aug  5 2004 jsuchome@suse.cz
- added basic documentation
* Thu Jul 29 2004 jsuchome@suse.cz
- initial help text
- fix writing
- show also /proc/net/irda/discovery during test
* Wed Jul 21 2004 jsuchome@suse.cz
- initial version
